data:extend({
{
    type = "capsule",
    name = "bombard-capsule",
    icon = "__Bombard_bot__/bombard-capsule.png",
    flags = {"goes-to-quickbar"},
    capsule_action =
    {
      type = "throw",
      attack_parameters =
      {
        type = "projectile",
        ammo_category = "capsule",
        cooldown = 24,
        projectile_creation_distance = 0.6,
        range = 25,
        ammo_type =
        {
          category = "capsule",
          target_type = "position",
          action =
          {
            type = "direct",
            action_delivery =
            {
              type = "projectile",
              projectile = "bombard-capsule",
              starting_speed = 0.3
            }
          }
        }
      }
    },
    subgroup = "capsule",
    order = "h[bombard-capsule]",
    stack_size = 100
  },
  
  {
    type = "recipe",
    name = "bombard-capsule",
    enabled = false,
    energy_required = 15,
    ingredients =
    {
      {"defender-capsule", 4},
      {"electronic-circuit", 4},
      {"rocket", 8},
      {"steel-plate", 4},
    },
    result = "bombard-capsule"
  },
  
    {
    type = "projectile",
    name = "bombard-capsule",
    flags = {"not-on-map"},
    acceleration = 0.005,
    action =
    {
      type = "direct",
      action_delivery =
      {
        type = "instant",
        target_effects =
        {
          {
            type = "create-entity",
            show_in_tooltip = true,
            entity_name = "hunter-bot",
            offsets = {{-0.5, 0},{0.5, 0},{-0.5, 0.5},{0.5, 0.5}}
          },
        }
      }
    },
    light = {intensity = 0.5, size = 4},
    animation =
    {
      filename = "__base__/graphics/entity/combat-robot-capsule/defender-capsule.png",
      frame_count = 1,
      width = 32,
      height = 32,
      priority = "high"
    },
    shadow =
    {
      filename = "__base__/graphics/entity/combat-robot-capsule/combat-robot-capsule-shadow.png",
      frame_count = 1,
      width = 32,
      height = 32,
      priority = "high"
    },
    smoke = {
  {
    name = "smoke-fast",
    deviation = {0.15, 0.15},
    frequency = 1,
    position = {0, 0},
    starting_frame = 3,
    starting_frame_deviation = 5,
    starting_frame_speed_deviation = 5
  }
},
  },
  {
        type = "corpse",
        name = "hunter-corpse",
        icon = "__base__/graphics/icons/medium-biter-corpse.png",
        selectable_in_game = false,
        selection_box = {{-1, -1}, {1, 1}},
        flags = {"placeable-neutral", "placeable-off-grid", "building-direction-8-way", "not-on-map"},
        subgroup="corpses",
        order = "c[corpse]-a[biter]-b[medium]",
        dying_speed = 0.04,
        time_before_removed = 15 * 60 * 60,
        final_render_layer = "corpse",
        animation = {
    layers =
    {
      {
        filename = "__base__/graphics/entity/defender-robot/defender-robot.png",
        width = 1,
        height = 1,
        frame_count = 16,
        direction_count = 16,
        --shift = {scale * 0.546875, scale * 0.21875},
        priority = "very-low",
        --scale = scale,
        
      }
    }
  }
      },
  {
    type = "unit",
    name = "hunter-bot",
    icon = "__base__/graphics/icons/defender.png",
    flags = {"placeable-player", "placeable-enemy", "placeable-off-grid", "breaths-air", "not-repairable"},
    max_health = 125,
    order="b-b-b",
    subgroup="enemies",
    resistances =
    {
      {
        type = "physical",
        decrease = 4,
      },
      {
        type = "explosion",
        percent = 99
      }
    },
    healing_per_tick = 0,
    collision_box = {{-0.15, -0.15}, {0.15, 0.15}},
    selection_box = {{-0.3, -0.3}, {0.3, 0.3}},
    sticker_box = {{-0.1, -0.1}, {0.1, 0.1}},
    distraction_cooldown = 300,
    attack_parameters =
    {
      type = "projectile",
      ammo_category = "rocket",
      ammo_type =
      {
        type = "projectile",
        category = "rocket",
        action =
        {
          {
            type = "direct",
            action_delivery =
            {
              {
                type = "projectile",
                projectile = "rocket",

                starting_speed = 0.5
              }
            }
          }
        }
      },
      
      range = 40,
      cooldown = 120,
      projectile_center = {0, 1},
      projectile_creation_distance = 0.2,
      sound =
      {
        {
          filename = "__base__/sound/fight/rocket-launcher.ogg",
          volume = 0.7
        }
      },
      animation =
      {layers =
      {
        {
          filename = "__base__/graphics/entity/defender-robot/defender-robot.png",
          priority = "high",
          line_length = 16,
          width = 32,
          height = 33,
          scale = 1.25,
          frame_count = 1,
          direction_count = 16,
          tint = {r = 0.6, b = 0.5, g = 0.5},
          shift = {0, 0.015625}
        },
        {
          filename = "__base__/graphics/entity/defender-robot/defender-robot-mask.png",
          priority = "high",
          line_length = 16,
          width = 18,
          height = 16,
          scale = 1.25,
          frame_count = 1,
          direction_count = 16,
          shift = {0, -0.125},
          --tint = {r = 0.2, b = 0.0, g = 0.0},
          apply_runtime_tint = true
        },
      }
      }
    },
    vision_distance = 45,
    movement_speed = 0.2,
    distance_per_frame = 0.15,
    -- in pu
    pollution_to_join_attack = 1000,
    corpse = "hunter-corpse",
    dying_explosion = "explosion",
    working_sound = {
    sound =
    {
      { filename = "__base__/sound/flying-robot-1.ogg", volume = 0.6 },
      { filename = "__base__/sound/flying-robot-2.ogg", volume = 0.6 },
      { filename = "__base__/sound/flying-robot-3.ogg", volume = 0.6 },
      { filename = "__base__/sound/flying-robot-4.ogg", volume = 0.6 },
      { filename = "__base__/sound/flying-robot-5.ogg", volume = 0.6 }
    },
    max_sounds_per_type = 3,
    --audible_distance_modifier = 0.5,
    probability = 1 / (3 * 60) -- average pause between the sound is 3 seconds
  },
    dying_sound =
    {
      {
        filename = "__base__/sound/fight/small-explosion-1.ogg",
        volume = 0.5
      },
      {
        filename = "__base__/sound/fight/small-explosion-2.ogg",
        volume = 0.5
      }
    },
    run_animation = {
      layers =
      {
        {
          filename = "__base__/graphics/entity/defender-robot/defender-robot.png",
          priority = "high",
          line_length = 16,
          width = 32,
          height = 33,
          scale = 1.25,
          frame_count = 1,
          direction_count = 16,
          shift = {0, 0.015625},
          tint = {r = 0.6, b = 0.5, g = 0.5},
          y = 33
        },
        {
          filename = "__base__/graphics/entity/defender-robot/defender-robot-mask.png",
          priority = "high",
          line_length = 16,
          width = 18,
          height = 16,
          scale = 1.25,
          frame_count = 1,
          direction_count = 16,
          shift = {0, -0.125},
          --tint = {r = 0.2, b = 0.0, g = 0.0},
          apply_runtime_tint = true,
          y = 16
        },
        {
      filename = "__base__/graphics/entity/defender-robot/defender-robot-shadow.png",
      priority = "high",
      line_length = 16,
      width = 43,
      height = 23,
      scale = 1.25,
      frame_count = 1,
      direction_count = 16,
      --tint = {r = 0.2, b = 0.0, g = 0.0},
      shift = {0.859375, 0.609375}
    }
      }
    },
      },
{
    type = "combat-robot",
    name = "bombard",
    icon = "__base__/graphics/icons/defender.png",
    flags = {"placeable-player", "player-creation", "placeable-off-grid", "not-on-map", "not-repairable"},
    subgroup="capsule",
    order="e-a-a",
    max_health = 120,
    alert_when_damaged = false,
    collision_box = {{0, 0}, {0, 0}},
    selection_box = {{-0.5, -1.5}, {0.5, -0.5}},
    distance_per_frame = 0.13,
    time_to_live = 60 * 90,
    follows_player = true,
    friction = 0.01,
    range_from_player = 8.0,
    speed = 0.008,
    destroy_action =
    {
      type = "direct",
      action_delivery =
      {
        type = "instant",
        source_effects =
        {
            type = "create-entity",
            entity_name = "explosion"
        }
      }
    },
    attack_parameters =
    {
      type = "projectile",
      ammo_category = "rocket",
      cooldown = 200,
      projectile_center = {0, 1},
      projectile_creation_distance = 0.6,
      range = 32,
      sound =
      {
        {
          filename = "__base__/sound/fight/rocket-launcher.ogg",
          volume = 0.7
        }
      },
      ammo_type =
      {
        type = "projectile",
        category = "rocket",
        action =
        {
          {
            type = "direct",
            action_delivery =
            {
              {
                type = "projectile",
                projectile = "rocket",
                starting_speed = 0.1
              }
            }
          }
        }
      }
    },
    idle =
    {
      layers =
      {
        {
          filename = "__base__/graphics/entity/defender-robot/defender-robot.png",
          priority = "high",
          line_length = 16,
          width = 32,
          height = 33,
          scale = 1.25,
          frame_count = 1,
          direction_count = 16,
          tint = {r = 0.6, b = 0.5, g = 0.5},
          shift = {0, 0.015625}
        },
        {
          filename = "__base__/graphics/entity/defender-robot/defender-robot-mask.png",
          priority = "high",
          line_length = 16,
          width = 18,
          height = 16,
          scale = 1.25,
          frame_count = 1,
          direction_count = 16,
          shift = {0, -0.125},
          --tint = {r = 0.2, b = 0.0, g = 0.0},
          apply_runtime_tint = true
        },
      }
    },
    shadow_idle =
    {
      filename = "__base__/graphics/entity/defender-robot/defender-robot-shadow.png",
      priority = "high",
      line_length = 16,
      width = 43,
      height = 23,
      scale = 1.25,
      frame_count = 1,
      direction_count = 16,
      --tint = {r = 0.6, b = 0.5, g = 0.5},
      shift = {0.859375, 0.609375}
    },
    in_motion =
    {
      layers =
      {
        {
          filename = "__base__/graphics/entity/defender-robot/defender-robot.png",
          priority = "high",
          line_length = 16,
          width = 32,
          height = 33,
          scale = 1.25,
          frame_count = 1,
          direction_count = 16,
          shift = {0, 0.015625},
          tint = {r = 0.6, b = 0.5, g = 0.5},
          y = 33
        },
        {
          filename = "__base__/graphics/entity/defender-robot/defender-robot-mask.png",
          priority = "high",
          line_length = 16,
          width = 18,
          height = 16,
          scale = 1.25,
          frame_count = 1,
          direction_count = 16,
          shift = {0, -0.125},
          --tint = {r = 0.2, b = 0.0, g = 0.0},
          apply_runtime_tint = true,
          y = 16
        },
      }
    },
    shadow_in_motion =
    {
      filename = "__base__/graphics/entity/defender-robot/defender-robot-shadow.png",
      priority = "high",
      line_length = 16,
      width = 43,
      height = 23,
      scale = 1.25,
      frame_count = 1,
      direction_count = 16,
      --tint = {r = 0.2, b = 0.0, g = 0.0},
      shift = {0.859375, 0.609375}
    }
  },
{
    type = "technology",
    name = "combat-robotics-4",
    icon = "__base__/graphics/technology/combat-robotics.png",
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "bombard-capsule"
      }
    },
    prerequisites = {"combat-robotics-3", "rocketry"},
    unit =
    {
      count = 400,
      ingredients =
      {
        {"science-pack-1", 1},
        {"science-pack-2", 1},
        {"science-pack-3", 1},
        {"alien-science-pack", 1}
      },
      time = 30
    },
    order = "e-p-b-c"
  },


})